package common.entity.npc;

import common.entity.effect.EntityLightning;
import common.rng.Random;
import common.world.World;

public class EntityVampire extends EntityNPC {
    public EntityVampire(World worldIn) {
        super(worldIn);
    }
    
	public int getColor() {
		return 0x840000;
	}
    
	public void onStruckByLightning(EntityLightning lightningBolt) {
	}
    
    public boolean isMagnetic() {
    	return true;
    }

//	public boolean isAggressive() {
//		return !this.alignment.good;
//	}
//
//	public boolean isPeaceful() {
//		return false;
//	}

	public boolean isAggressive(Class<? extends EntityNPC> clazz) {
		return clazz == EntityHuman.class || clazz == EntityElf.class;
	}

//	public boolean isPeaceful(Class<? extends EntityNPC> clazz) {
//		return false;
//	}

//	public boolean canInfight(Alignment align) {
//		return true;
//	}
//
//	public boolean canMurder(Alignment align) {
//		return false;
//	}

	public boolean canUseMagic() {
		return true;
	}

	public int getBaseHealth(Random rand) {
		return rand.range(36, 82);
	}

//	public int getBaseEnergy(Random rand) {
//		return 0;
//	}

    public float getHeightDeviationMin() {
    	return -0.2f;
    }

    public float getHeightDeviationMax() {
    	return 0.2f;
    }
    
    public float getSpeciesBaseSize() {
    	return 1.8f;
    }

	public Alignment getNaturalAlign() {
		return rand.pick(Alignment.EVIL, Alignment.CHAOTIC_EVIL, Alignment.CHAOTIC, Alignment.NEUTRAL, Alignment.CHAOTIC_GOOD);
	}

    protected void applyEntityAttributes() {
        super.applyEntityAttributes();
        this.setAttackDamageBase(5);
    }
}
